USE COWS
GO

CREATE TABLE [dbo].[MAP_USR_PRF](
	[ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[USER_ID] [int] NOT NULL,
	[USR_PRF_ID] [smallint] NOT NULL,
	[POOL_CD] [tinyint] NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
 CONSTRAINT [PK_MAP_USR_PRF] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UX01_MAP_USR_PRF] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC, [USR_PRF_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_MAP_USR_PRF] ON [dbo].[MAP_USR_PRF]
(
	[USER_ID] ASC
) INCLUDE (USR_PRF_ID) 
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[MAP_USR_PRF] ADD  CONSTRAINT [DF_MAP_USR_PRF_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[MAP_USR_PRF] ADD  CONSTRAINT [DF_MAP_USR_PRF_getdate]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[MAP_USR_PRF]  ADD  CONSTRAINT [FK01_MAP_USR_PRF] FOREIGN KEY([USR_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE [dbo].[MAP_USR_PRF]  ADD  CONSTRAINT [FK02_MAP_USR_PRF] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MAP_USR_PRF]  ADD  CONSTRAINT [FK03_MAP_USR_PRF] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[MAP_USR_PRF]  ADD  CONSTRAINT [FK04_MAP_USR_PRF] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MAP_USR_PRF]  ADD  CONSTRAINT [FK05_MAP_USR_PRF] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO
